QMAtom
Date: 2019-10-22

org.jmol.quantum

## Class QMAtom

- java.lang.Object
- - javajs.util.T3
  - - javajs.util.P3
    - - org.jmol.quantum.QMAtom

- All Implemented Interfaces:
    java.io.Serializable, javajs.api.JSONEncodable

      class QMAtom
      extends javajs.util.P3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Atom` | `atom`
    `(package private) int` | `iMolecule`
    `(package private) int` | `index`
    `private float[]` | `myX`
    `private float[]` | `myX2`
    `private float[]` | `myY`
    `private float[]` | `myY2`
    `private float[]` | `myZ`
    `private float[]` | `myZ2`
    `(package private) int` | `znuc`

    - ### Fields inherited from class javajs.util.T3

      `x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QMAtom(int i, javajs.util.T3 xyzAng, Atom atom, float[] X, float[] Y, float[] Z, float[] X2, float[] Y2, float[] Z2, float unitFactor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setXYZ(QuantumCalculation qc, boolean setMinMax)`

    - ### Methods inherited from class javajs.util.P3

      `getUnlikely, new3, newP`

    - ### Methods inherited from class javajs.util.T3

      `add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, scale, scaleAdd2, scaleT, set, setA, setT, sub, sub2, toJSON, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### myX

          private float[] myX

    - #### myY

          private float[] myY

    - #### myZ

          private float[] myZ

    - #### myX2

          private float[] myX2

    - #### myY2

          private float[] myY2

    - #### myZ2

          private float[] myZ2

    - #### atom

          Atom atom

    - #### index

          int index

    - #### znuc

          int znuc

    - #### iMolecule

          int iMolecule

  - ### Constructor Detail

    - #### QMAtom

          QMAtom(int i,
                 javajs.util.T3 xyzAng,
                 Atom atom,
                 float[] X,
                 float[] Y,
                 float[] Z,
                 float[] X2,
                 float[] Y2,
                 float[] Z2,
                 float unitFactor)

      Parameters:
        `i` -
        `xyzAng` -
        `atom` -
        `X` -
        `Y` -
        `Z` -
        `X2` -
        `Y2` -
        `Z2` -
        `unitFactor` -

  - ### Method Detail

    - #### setXYZ

          protected void setXYZ(QuantumCalculation qc,
                                boolean setMinMax)